size-of-foreign-type
Prev | Objects | Next

## Name

size-of-foreign-type — Returns the number of data bytes used by a foreign object type. Macro

## Syntax

    	  size-of-foreign-type ftype

## Arguments and Values

`ftype`

  A foreign type specifier. This parameter is evaluated.

## Description

Returns the number of data bytes used by a foreign object type. This does not include any Lisp storage overhead.

## Examples

    (size-of-foreign-object :unsigned-byte)
    => 1
    (size-of-foreign-object 'my-100-byte-vector-type)
    => 100

## Side Effects

None.

## Affected by

None.

## Exceptional Situations

None.

Prev | Up | Next
with-foreign-object | Home | pointer-address